Patches for Additional NVME Support

Bug #1796130 reported by Michael Reed on 2018-10-04
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Dell-poweredge project
Low
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

Dell is requesting these patches for inclusion into 18.04.2 for additional NVME support

PCI: Check for PCIe Link downtraining
https://github.com/torvalds/linux/commit/2d1ce5ec2117d16047334a1aa4b62e0cfb5a0605

PCI/AER: Add sysfs attributes to provide AER stats and breakdown
https://github.com/torvalds/linux/commit/81aa5206f9a7

PCI/AER: Honor "pcie_ports=native" even if HEST sets FIRMWARE_FIRST
https://github.com/torvalds/linux/commit/7af02fcd84c1

PCI/AER: Don't clear AER bits if error handling is Firmware-First
https://github.com/torvalds/linux/commit/45687f96c112

PCI: pciehp: Differentiate between surprise and safe removal
https://git.kernel.org/pub/scm/linux/kernel/git/helgaas/pci.git/commit/?h=pci/hotplug&id=e76ac5875f5d5848558edc79a0869bf20765fec3

Can we make this bug public?

Michael Reed (mreed8855) on 2018-10-04
information type: Proprietary → Public

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1796130

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Bionic):
status: New → Incomplete
Brad Figg (brad-figg) on 2018-10-05
Changed in linux (Ubuntu Cosmic):
status: Incomplete → Triaged
Changed in linux (Ubuntu Bionic):
status: Incomplete → Triaged
Sujith Pandel (sujithpandel) wrote :

Description:
These missing patches are basically to improve Ubuntu kernel support for NVMe Surprise Removel/hot-plug of NVMe disks.
The patch list shared and formed above is from comparing the 4.18 HWE kernel that is already present in the -proposed apt repo.
We would like to have these included into the HWE kernel 4.18 of 18.04.2

Michael Reed (mreed8855) wrote :

I took a look into these patches and noticed the following:

    -PCI: Check for PCIe Link downtraining
      -Commit ID: 2d1ce5ec2117d16047334a1aa4b62e0cfb5a0605
      -Applies cleanly in Cosmic

    -PCI/AER: Honor "pcie_ports=native" even if HEST sets FIRMWARE_FIRST
      -Commit ID: 7af02fcd84c16801958936f88b848944c726ca07
      -Already in Cosmic

Michael Reed (mreed8855) on 2019-04-03
Changed in dell-poweredge:
status: New → Triaged
importance: Undecided → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers